Bug 208539 - xdvi tries to regenerate all txfonts every time since the last update
xdvi tries to regenerate all txfonts every time since the last update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 05:31 EDT by David Jansen
Modified: 2013-07-02 19:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 08:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jansen 2006-09-29 05:31:05 EDT
Description of problem:
Every time(*) xdvi is run, it thinks it needs to regenerate all pk font files
used in the dvi file, which takes quite some time, and generates error messages
about the file already existing, and permission denied messages on
/var/lib/texmf/ls-R
(*) it seems to depend on the fonts used in the document; it can certainly be
reproduced if the latex file includes txfonts
(/usr/share/texmf/tex/latex/txfonts/txfonts.sty from the tetex-latex package)

Version-Release number of selected component (if applicable):
tetex-3.0-20.FC5, tetex-xdvi-3.0-20.FC5, tetex-latex-3.0-20.FC5

How reproducible:
always when running xdvi on a file that contains fonts from txfonts (and maybe
others) since the upgrade to 3.0-20.FC5

Steps to Reproduce:
1. run latex (or tex) + xdvi on a file
  
Actual results:

kpathsea: Running mktexpk --mfmode / --bdpi 300 --mag 0+270/300 --dpi 270 txsy
mktexpk: /var/lib/texmf/pk/modeless/public/txfonts/txsy.270pk already exists.
/usr/share/texmf/web2c/mktexupd: /var/lib/texmf/ls-R unwritable.
(and so on, for every font)

Expected results:
xdvi should be able to re-use preexisting font files, and generate new ones just
once, and set proper permissions on generated files such that all users can use
these fonts.

Additional info:
the problem doesn't occur with every font family, I have only managed to
reproduce it so far using txfonts.sty
Comment 1 Jindrich Novy 2006-09-29 07:31:30 EDT
The latest FC5 update is tetex-3.0-29.fc5, could you please try to reproduce it
again with this version a report back? Thanks.
Comment 2 David Jansen 2006-09-29 08:28:46 EDT
Ok, done that, and the problem is still there. Here's a very simple file to test
with:
\documentclass{article}
\usepackage{txfonts}
\begin{document}

test document

\end{document}

And here the output:
$ latex txfonts-test.tex
This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4)
entering extended mode
(./txfonts-test.tex
LaTeX2e <2003/12/01>
Babel <v3.8d> and hyphenation patterns for american, french, german, ngerman, b
ahasa, basque, bulgarian, catalan, croatian, czech, danish, dutch, esperanto, e
stonian, finnish, greek, icelandic, irish, italian, latin, magyar, norsk, polis
h, portuges, romanian, russian, serbian, slovak, slovene, spanish, swedish, tur
kish, ukrainian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2004/02/16 v1.4f Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
(/usr/share/texmf/tex/latex/txfonts/txfonts.sty) (./txfonts-test.aux)
(/usr/share/texmf/tex/latex/txfonts/omltxmi.fd)
(/usr/share/texmf/tex/latex/txfonts/omstxsy.fd)
(/usr/share/texmf/tex/latex/txfonts/omxtxex.fd)
(/usr/share/texmf/tex/latex/txfonts/utxexa.fd)
(/usr/share/texmf/tex/latex/txfonts/ot1txr.fd) [1] (./txfonts-test.aux) )
Output written on txfonts-test.dvi (1 page, 224 bytes).
Transcript written on txfonts-test.log.
$ xdvi txfonts-test.dvi
kpathsea: Running mktexpk --mfmode / --bdpi 300 --mag 1+0/300 --dpi 300 rtxptmr
mktexpk: /var/lib/texmf/pk/modeless/public/txfonts/rtxptmr.300pk already
exists./usr/share/texmf/web2c/mktexupd: /var/lib/texmf/ls-R unwritable.
Comment 3 Bug Zapper 2008-04-03 23:52:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 David Jansen 2008-04-04 08:04:26 EDT
The bug is not present in Fedora 7 (and higher)
Comment 5 Jindrich Novy 2008-04-04 08:10:45 EDT
Ok, closing then.

Note You need to log in before you can comment on or make changes to this bug.